Since Emacs 27 'mml-secure-epg-sign' errors out if we don't opt-in to
signing as the sender using 'mml-secure-openpgp-sign-with-sender'.
---
 test/test-lib.sh | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/test/test-lib.sh b/test/test-lib.sh
index 8c331b88..90e26639 100644
--- a/test/test-lib.sh
+++ b/test/test-lib.sh
@@ -414,7 +414,8 @@ emacs_fcc_message ()
           (message-goto-body)
           (insert \"${body}\")
           $*
-          (notmuch-mua-send-and-exit))" || return 1
+          (let ((mml-secure-openpgp-sign-with-sender t))
+                (notmuch-mua-send-and-exit)))" || return 1
     notmuch new $nmn_args >/dev/null
 }
 
-- 
2.26.0
_______________________________________________
notmuch mailing list -- notmuch@notmuchmail.org
To unsubscribe send an email to notmuch-le...@notmuchmail.org

Reply via email to